Website of Elive

The next days I will do some tests for a possible switch from nginx to the OpenLiteSpeed server, which seems to boost the website performance a lot more (at least twice fast, to 5x times faster :wow:)

All I Read is: @Thanatermesis is about to write an eHTTPserver as e17 plugin :wink:

Yep
it look faster.
Good job
Yoda

@Thanatermesis i’ve never used openlitespeed.

Openlitespeed: was in the end “not so worth”, the pain to configure it was huge (but i finally was able to make it running!), the server is in fact very good and suggested over nginx / apache etc… (easier to manage, from a gui interface, lighter, and can accept thousands of connections per minute instead of a hundred by others), but the visual appearance (speed) is very similar, so for now I will stick to how it is actually set up (nginx), will switch to it in the moment that will be needed (when Elive will be more famous than windows & mac together)

Performance: more misc improvements has been made to the website, you can see now one of the fastest versions of the elive site possible

Footer: A first version of a good footer is included, waiting for a few visual improvements before to continue making it

Support: I have included an inspired “call to donate” in the footer too, to me it looks pretty movitating

Extra: I have been working on mulitple things, specialy fixes on website elements, pages, etc…

1 Like

Donations can be validated now from Validate - Elive Linux , this page is used for the returning from paypal when a donation is made to download (so the page itself manages everything), giving the download link for each different donation, if you enter directly to the page you can also validate / check a donation (note: this may work or not work with the past donations, since it may lack some data in the database, but it may probably work so if you are curious you can test it yourself :happy: )

I wanted to implement this (better integrated) feature since long time. Its almost finished now (I still need to add a few more functions but it actually perfectly works)

I have a very good news to tell !

As you probably know, old versions of Elive used a system of requiring "installer modules" as a way to support / sustain the project, where you needed to make a donation in order to get it, there was also the option to write an article in order to get it cost-free for those who cannot donate. Actually we don't use it anymore and we switched to a much simpler way (delayed downloads VS donation direct downloads, and similar...)

The problem is: older versions of Elive still requires it, so if you wanted to install an old version of Elive, you need to donate in order to install. This is not bad, so the system still works and users can still install Elive, but is a bit sad to make this a kind of limitation for those who are trying to revive an old computer or just to play with Elive.

So I took today the time to improve the code (keeping it as a working feature if needs to be used in the future), but now it includes a detector of "actual versions", so if you are trying to get an installer module for an older version of Elive than the actual stable one (this mean, any / all the versions that requires an installer module), the donation step will be skipped and you will have it entirely cost-free :dance: :happy_dance:

This is very good news! I'm sure @TheTechRobo will enjoy it when trying to install the old version of Elive in that computer :happybounce: :runningfast: Installer Module for Elive :runningfast: We are waiting your future howto / post about the old elive version on that old 2006 macbook :wink:

note: I'm going to release a massive newsletter soon (already planned since more than 1 month ago lol) and this will be of course another good news to include on it, also with the torrent to download those versions :applause:

2 Likes

Maybe that should be mentioned more expletive on the "download/old-versions" page. During install when the "donate" message pops up might upset people (again). :smile_cat:

1 Like

Yeah I need to update that page too :slight_smile: - DONE

but for the install is not exactly possible (this would mean to modify the isos, and i this is not a good idea) :slight_smile:

When I used to go to that website to check it out, it seemed as if it just needed a delay. But it would be nice to not have that delay :slight_smile:

Oh, I don't have the macbook version yet, but i recently downloaded 0.5 (or was it 0.6?). The betas worked decent -- i could play smw -- but not decent enough if you know what I mean

Anyway, I'll try that out once I have the time, but schoolwork is so much more than normal, so... :frowning:

PS I have to get back to schoolwork lol so you might not see me for a day or two

what do you mean? can you try again? it loads fast for me (maybe i was working on the site on that moment you tried :stuck_out_tongue: )

yeah, try problably with the Gem version, the point is to have all hardware and features working (as described in the old page you found)

As in, you wait about five minutes to not have to donate.

Sure, unfortunately I have slow wifi...i'll just have to try the one i downloaded first, trouble is the battery died and i cant find the cable lol

do we are talkiing about hte same thing? :thinking:

what happens on your side while those 5 minutes waiting? the idea is: "insert your installer code and your email, click submit, directly download == less than 10 seconds all"

It just shows me a banner animation about how elive needs these donations, how optional donations are not enough, and how you (@Thanatermesis) made it harder to not donate than to donate.

Like, how you getthe installer modules by donation or by waiting?

:rofl2: :rofl2: The most hilarious thing i have read all day

:smiley:

hum this is very interesting! (and strange), that is not the page that it should be displayed :thinking:
wtf

I just checked and for me, the page you said about the slider animation / explanation is this one:

and the page that gives the installer-modules (now cost-free for all the old versions) is this one:

https://www.elivecd.org/installer-module/

(and it is strange that in the forum, only the first one renders a preview but not the second one)

@TheTechRobo can you confirm that the second link is the same as the first one for you?

What you should see is this:

and, after to introduce a valid installer-code like 63377bd65, it will download the installer-module directly)

what shows for you, @IamElive? :thinking:

I see this and the 3 pompom girls at the bottom.

1 Like

ohhhhh i thought that you were talking about the installer module for the beta versions. oops :roll_eyes:

mmh, in fact any version that actually needs installer-modules are cost-free now (technically, any version that is not the -actual- one, and since we are not using them in the new versions for now, all of them)

So I assume there was no any issues for @IamElive & @TheTechRobo and the page works correctly on -what- is expected to show ? :thinking:

It works as expected from my side

Yep! All works well.